# Interface Scaler

@Equality public interface Scaler
Defines the mapping of an input value to the range 0..1.

Since:
  22 Jan 2015
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`double`
`getHigh()`
Returns the upper bound of the input range.
`double`
`getLow()`
Returns the lower bound of the input range.
`boolean`
`isLogLike()`
Indicates whether this scaler does log-like scaling.
`double`
`scaleValue(double val)`
Scales an input value to the interval 0..1.

## Method Details

### getLow

double getLow()
Returns the lower bound of the input range. Any input values less than or equal to this value will be mapped to zero.

Returns:
  lower input bound

### getHigh

double getHigh()
Returns the upper bound of the input range. Any input values greater than or equal to this value will be mapped to 1.

Returns:
  upper input bound

### isLogLike

boolean isLogLike()
Indicates whether this scaler does log-like scaling. This is used to determine whether an axis on which it is represented should have logarithmic or linear annotation.

Returns:
  true for log-like, false for linear

### scaleValue

double scaleValue(double val)
Scales an input value to the interval 0..1. NaN values stay NaN.

Parameters:
  `val` - input data value
Returns:
  value in range 0..1 (inclusive), or NaN for NaN input